- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# realtime.hh File Reference

General algorithms concerning realtime aspect of automata. More...

Include dependency graph for realtime.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn
## Functions
template<typename A, typename T>
void | realtime_here (Element< A, T > &a, misc::direction_type type)
| In place modification of the automaton to make it realtime.
template<typename A, typename T>
Element< A, T > | realtime (const Element< A, T > &a, misc::direction_type type)
| Returns a fresh realtime automaton.

## Detailed Description

General algorithms concerning realtime aspect of automata.

Algorithms concerning realtime aspect of automata, i.e. presence or absence of epsilon transitions in the automaton.

See also:
  is_realtime(), realtime_here(), realtime()

Definition in file realtime.hh.